Subject: Re: [PATCH] object-file: avoid ODB transaction when not writing objects

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Apr 2026 14:53:54 -0700

Junio C Hamano <[email-masked]> writes:

> I'd appreciate it if you can give your eyeballs to the attached to
> see if that is how you would fixed the bug in the original context
> of v2.52 track.  If everything looks OK, then there is no need to
> spend time backporting on your side.  We have everything necessary.

Another thing.  Your jt/odb-transaction-write topic (in 'seen')
already addresses this issue, so we may merge this single patch down
to 'next' and 'master' first, but the merge that brings in the topic
can just supersede this patch, perhaps keeping the test added to
t1517.

Do I understand correctly?  The t1517 part of the patch, when
applied to 'seen', does indicate that the problem is not there.